schema_version: mapper-os/executable-blueprint
execution_start: BUILDPRINT.md
machine_contract: blueprint.yaml
source:
  input: https://github.com/mutonby/openshorts
  checkout_path: origin-source-unavailable-shell-dns; GitHub connector inspected mutonby/openshorts
  commit: connector-file-shas-recorded-in-coverage-map
generated_at: 2026-05-29T00:00:00Z
claim_status: PROOF_REQUIRED
slug: ai-shorts-production-studio
title: AI Shorts Production Studio
blueprint_mode:
  primary: product
phase_style: outcome_flow
source_feature_coverage_map: ../SOURCE_FEATURE_COVERAGE_MAP.md
setup_gate:
  questions: 01-questions.md
  project_setup: 02-project-setup.md
  required_before_phases: true
implementation_loop:
  required: true
  steps:
    - observe
    - plan
    - execute
    - verify
    - reflect
    - record
  completion_requires:
    - proof_gate_passed
    - evidence_recorded
repair_loop:
  on_failure:
    test_failed: current_phase
    build_failed: current_phase
    runtime_error: current_phase
    ui_quality_failed: current_phase
    proof_gate_failed: current_phase
    architecture_contradiction: 02-project-setup.md
    missing_human_preference: 01-questions.md
    missing_dependency_phase: required_prior_phase
    external_blocker: .buildprint/evidence/evidence-ledger.jsonl
phases:
  - phase_id: 01-contracts-adapters
    title: Contracts and deterministic adapters
    file: 03-phases/01-contracts-adapters.md
    status: INCLUDED_NEEDS_PROOF
  - phase_id: 02-job-runtime-state
    title: Job runtime and persistence honesty
    file: 03-phases/02-job-runtime-state.md
    status: INCLUDED_NEEDS_PROOF
  - phase_id: 03-media-pipeline
    title: Fixture media pipeline
    file: 03-phases/03-media-pipeline.md
    status: INCLUDED_NEEDS_PROOF
  - phase_id: 04-browser-studio
    title: Browser production studio
    file: 03-phases/04-browser-studio.md
    status: INCLUDED_NEEDS_PROOF
  - phase_id: 05-gallery-publish-validation
    title: Gallery publish handoff and validation
    file: 03-phases/05-gallery-publish-validation.md
    status: INCLUDED_NEEDS_PROOF
context:
  phase_index: 03-phases/phase-index.yaml
  phase_flow: 03-phases/phase-flow.md
  active_phase: 03-phases/01-contracts-adapters.md
  evaluation: 04-evaluation.md
  evidence_schema: 05-evidence/evidence-ledger.schema.json
generated_artifacts:
  agent_prompt: generated/agent-prompt.md
